com.amazon.redshift.plugin.httpserver

## Class ValidHttpRequestHandler

- java.lang.Object
- - com.amazon.redshift.plugin.httpserver.ValidHttpRequestHandler

    public class ValidHttpRequestHandler
    extends Object

Return valid HTML for all requests.

### Constructor Summary

Constructors
Constructor and Description
`ValidHttpRequestHandler()`

### Method Summary

Methods
`void` `handle(HttpRequest request, HttpResponse response, HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidHttpRequestHandler

    public ValidHttpRequestHandler()

### Method Detail

#### handle

    public void handle(HttpRequest request,
              HttpResponse response,
              HttpContext context)
                throws HttpException,
                       IOException

Throws:
  `HttpException`
  `IOException`